RDKit::FilterMatchOps::Not Class Reference

`#include <FilterMatchers.h>`

Inheritance diagram for RDKit::FilterMatchOps::Not:

## Public Member Functions

| Not ()
| Not (const FilterMatcherBase &arg1)
| Not (boost::shared_ptr< FilterMatcherBase > arg1)
| Not (const Not &rhs)
std::string | getName () const override
bool | isValid () const override
bool | hasMatch (const ROMol &mol) const override
| hasMatches More...
bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &) const override
| getMatches More...
boost::shared_ptr< FilterMatcherBase > | copy () const override
Public Member Functions inherited from RDKit::FilterMatcherBase
| FilterMatcherBase (std::string name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const

## Detailed Description

Definition at line 180 of file FilterMatchers.h.

## Constructor & Destructor Documentation

## Not() [1/4]

RDKit::FilterMatchOps::Not::Not | ( |  | ) |

inline

Definition at line 185 of file FilterMatchers.h.

## Not() [2/4]

RDKit::FilterMatchOps::Not::Not | ( | const FilterMatcherBase & | arg1 | ) |

inline

Constructs a Noter true if arg1 is false (note, never returns matches from getMatches since a false internal match matches nothing!

Definition at line 191 of file FilterMatchers.h.

## Not() [3/4]

RDKit::FilterMatchOps::Not::Not | ( | boost::shared_ptr< FilterMatcherBase > | arg1 | ) |

inline

Definition at line 194 of file FilterMatchers.h.

## Not() [4/4]

RDKit::FilterMatchOps::Not::Not | ( | const Not & | rhs | ) |

inline

Definition at line 197 of file FilterMatchers.h.

## Member Function Documentation

## copy()

boost::shared_ptr<FilterMatcherBase> RDKit::FilterMatchOps::Not::copy | ( |  | ) | const

inline override virtual

copy copies the current FilterMatcherBase into one that can be passed around safely.

Implements RDKit::FilterMatcherBase.

Definition at line 218 of file FilterMatchers.h.

## getMatches()

bool RDKit::FilterMatchOps::Not::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect
| ) |  | const

inline override virtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implements RDKit::FilterMatcherBase.

Definition at line 210 of file FilterMatchers.h.

References PRECONDITION.

## getName()

std::string RDKit::FilterMatchOps::Not::getName | ( |  | ) | const

inline override virtual

Reimplemented from RDKit::FilterMatcherBase.

Definition at line 199 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::getName().

## hasMatch()

bool RDKit::FilterMatchOps::Not::hasMatch | ( | const ROMol & | mol | ) | const

inline override virtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implements RDKit::FilterMatcherBase.

Definition at line 205 of file FilterMatchers.h.

References PRECONDITION.

## isValid()

bool RDKit::FilterMatchOps::Not::isValid | ( |  | ) | const

inline override virtual

Implements RDKit::FilterMatcherBase.

Definition at line 203 of file FilterMatchers.h.

The documentation for this class was generated from the following file:

- FilterMatchers.h